"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const dateformat = require("dateformat");
const fs = require("mz/fs");
class MigrateCreate extends command_1.Command {
    async run() {
        const { args, flags: { dir } } = this.parse(MigrateCreate);
        const date = dateformat(new Date(), "yyyy-mm-dd-HH-MM-ss");
        const filename = `${date}-${args.name}.sql`;
        this.log(`Creating migration... ${filename}`);
        await fs.writeFile(`${dir}/${filename}`, "-- Content of your migration goes here\n");
        this.log("Created migration.");
    }
}
MigrateCreate.description = "Create a migration .sql file";
MigrateCreate.examples = [
    `$ migr8r migrate:create add-user-table
Creating migration: 2018-01-01-01-01-01-add-user-table.sql
`
];
MigrateCreate.flags = {
    dir: command_1.flags.string({ char: "d", default: "." }),
    help: command_1.flags.help({ char: "h" })
};
MigrateCreate.args = [
    {
        description: "The name of the migration to create.",
        name: "name",
        required: true
    }
];
exports.default = MigrateCreate;
